org.apache.maven.shared.io.scan.mapping

## Class SingleTargetMapping

- java.lang.Object
- - org.apache.maven.shared.io.scan.mapping.SingleTargetMapping

All Implemented Interfaces:
  SourceMapping

    public class SingleTargetMapping
    extends Object
    implements SourceMapping

Maps a set of input files to a single output file.

Version:
  $Id: SingleTargetMapping.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`SingleTargetMapping(String sourceSuffix, String outputFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<File>` `getTargetFiles(File targetDir, String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleTargetMapping

    public SingleTargetMapping(String sourceSuffix,
                               String outputFile)

Parameters:
  `sourceSuffix` - source suffix.
  `outputFile` - output file.

### Method Detail

#### getTargetFiles

    public Set<File> getTargetFiles(File targetDir,
                                    String source)
                             throws InclusionScanException

Specified by:
  `getTargetFiles` in interface `SourceMapping`
Parameters:
  `targetDir` - target directory.
  `source` - source.
Returns:
  list of target files.
Throws:
  `InclusionScanException` - in case of an error.